resiplot {maanova} | R Documentation

## Residual plot for Microarray Experiment

### Description

This is the function to plot the residuals versus fitted value figure. Two channels, e.g., red and green, are drawn in seperate figures.

### Usage

    resiplot(madata, anovaobj, header, xlab, ylab)

### Arguments

`madata` | An object of class `madata`.
`anovaobj` | An object of class `maanova`, which is the output from `fitmaanova`.
`header` | Optional. The title of the figure. The default figure title will be "Residual vs. Yhat plot".
`xlab` | Optional. The xlab of the figure. The default will be "Yhat".
`ylab` | Optional. The ylab of the figure. The default will be "Residual".

### Author(s)

Hao Wu

### Examples

    # load abf1 data
    data(abf1)
    ## Not run:
    fit.full.mix <- fitmaanova(abf1, formula = ~Strain+Sample,
       random = ~Sample)
    resiplot(abf1, fit.full.mix)
    ## End(Not run)

[Package maanova version 1.10.0 Index]